<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name=""> <!-- TOP -->

            </ui:define>

            <ui:define name="content">

                <p:fieldset legend="Cadastro de Alunos" style="font-family: monospace">
                    
                        <p:panelGrid columns="3" id="painel" >
                            <p:outputLabel value="Código" for="codigo" />
                            <p:inputText id="codigo" value="#{alunoBean.aluno.id}" readonly="true" />
                            <p:message for="codigo" />

                            <p:outputLabel value="Nome:" for="nome" />
                            <p:inputText id="nome" value="#{alunoBean.aluno.nome}" required="true" />
                            <p:message for="nome" />

                            <p:outputLabel value="Email:" for="email" />
                            <p:inputText id="email" value="#{alunoBean.aluno.email}" />
                            <p:message for="email" />   

                            <p:outputLabel value="CPF:" for="cpf" />
                            <p:inputText id="cpf" value="#{alunoBean.aluno.cpf}" required="true" maxlength="11" />
                            <p:message for="cpf" />

                            <p:outputLabel value="Endereço:" for="endereco" />
                            <p:inputText id="endereco" value="#{alunoBean.aluno.endereco}" required="true" />
                            <p:message for="endereco" />

                            <p:outputLabel value="Número:" for="numero" />
                            <p:inputText id="numero" value="#{alunoBean.aluno.numero}"  />
                            <p:message for="numero" />

                            <p:outputLabel value="Complemento:" for="complemento" />
                            <p:inputText id="complemento" value="#{alunoBean.aluno.complemento}"  />
                            <p:message for="complemento" />

                            <p:outputLabel value="Cidade:" for="cidade" />
                            <p:inputText id="cidade" value="#{alunoBean.aluno.cidade}"  />
                            <p:message for="cidade" />

                            <p:outputLabel value="Estado:" for="estado" />
                            <p:inputText id="estado" value="#{alunoBean.aluno.estado}"  maxlength="2"/>
                            <p:message for="estado" />
                        </p:panelGrid>
                </p:fieldset>

                <p:commandButton value="Salvar" ajax="false"  actionListener="#{alunoBean.salvar()}"  update="painel"  icon="ui-icon-check" />
            </ui:define>

            <ui:define name="bottom"> 
                Desenvolvido por <b>Glauberth</b>
            </ui:define>

        </ui:composition>

    </body>
</html>
